import { ConfigService } from '@univerjs/core';
import { HTTPService } from '@univerjs/network';
export interface IEmbeddedChartManagerService {
    fetchChartItem: (unitId: string, chartId: string) => Promise<any>;
    fetchChartItemList: (unitId: string) => Promise<any[]>;
    updateChartItem: (unitId: string, chartId: string, params: any) => Promise<string>;
}
export declare class EmbeddedChartManagerService implements IEmbeddedChartManagerService {
    private readonly _httpService;
    private readonly _configService;
    constructor(_httpService: HTTPService, _configService: ConfigService);
    get baseUrl(): string;
    fetchChartItem(unitId: string, chartId: string): Promise<any>;
    fetchChartItemList(unitId: string): Promise<any>;
    updateChartItem(chartId: string, params: any): Promise<string>;
}
